/*
 * Copyright 2011 Hanson Robokind LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * RemoteServiceFrame.java
 *
 * Created on Jul 20, 2011, 11:55:15 PM
 */
package org.rwshop.swing.messaging;

import org.robokind.api.messaging.services.RemoteServiceClient;

/**
 *
 * @author Matthew Stevenson <www.robokind.org>
 */
public class RemoteServiceFrame extends javax.swing.JFrame {
    /** Creates new form RemoteServiceFrame */
    public RemoteServiceFrame() {
        initComponents();
    }
    
    public void setService(RemoteServiceClient service){
        aQServicePanel1.setService(service);
    }
    
    public void setPath(String path){
        aQServicePanel1.setPath(path);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        aQServicePanel1 = new org.rwshop.swing.messaging.RemoteServicePanel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(aQServicePanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(aQServicePanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    public static void show(final RemoteServiceClient service, final String path) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                RemoteServiceFrame frame = new RemoteServiceFrame();
                frame.setService(service);
                frame.setTitle(service.getClass().getSimpleName());
                frame.setPath(path);
                frame.setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.rwshop.swing.messaging.RemoteServicePanel aQServicePanel1;
    // End of variables declaration//GEN-END:variables
}
